List regions#
リージョンを一覧表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://identity.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://identity.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/v3/regions
HTTPステータスコード#
正常時:200
エラー時:400, 401, 403, 404, 405, 413, 503
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| parent_region_id | query | string | 任意 | 親リージョンのIDでレスポンスを絞り込みます。 |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| regions | array | リージョンオブジェクトのリスト |
| description | string | リージョンの説明 |
| id | string | リージョンのID |
| links | object | リージョンリソースへのリンクURL |
| parent_region_id | string | このリージョンを子リージョンにする場合は、親リージョンのIDを指定します。 |
レスポンス例#
{ "links": { "next": null, "previous": null, "self": "http://example.com/identity/v3/regions" }, "regions": [ { "description": "", "id": "RegionOne", "links": { "self": "http://example.com/identity/v3/regions/RegionOne" }, "parent_region_id": null } ] }